# Timeline Examples

This page contains examples which show how to use Timeline. For the documentation, please click the button below:
View docs »

### basic usage

basic usage

### interaction

animate window
click to use
event listeners
limit move and zoom of the window
navigation menu
set selection

### editing

custom snapping of items
editing items
editing items, manipulate using callbacks
individually editable items
update data on event

### items

HTML contents
point items
background areas
background areas with groups
item ordering
range overflow item

### groups

groups
ordering of groups
subgroups
editable groups

### styling

item class names
item templates
axis orientation
custom CSS
grid styling

### data handling

data serialization
load external data

### other

custom time bars
data attributes
all data attributes
hiding periods
localization
performance
performance of groups
require.js example
right to left (rtl)
timezone